| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Instance Methods | Properties | List of all members
MovieVideo Class Reference

`#import <MovieVideo.h>`

Inheritance diagram for MovieVideo:
[legend]
Collaboration diagram for MovieVideo:
[legend]

## Instance Methods
(id) | - initWithURL:config:
(bool) | - start
(unsigned char *) | - getFrame
(void) | - stop
(BOOL) | - transparencyByTransparentRGBA:
(void) | - setTransparencyByTransparent:RGBA:
(BOOL) | - transparencyByChromaKeyHueMinAngle:hueMaxAngle:
(void) | - setTransparencyByChromaKey:hueMinAngle:hueMaxAngle:

## Properties
BOOL | paused
BOOL | loaded
NSInteger | contentWidth
NSInteger | contentHeight
AR_PIXEL_FORMAT | ARPixelFormat
OSType | pixFormat
size_t | bufWidth
size_t | bufHeight
size_t | bufRowBytes
unsigned char * | bufDataPtr
BOOL | transparent

## Method Documentation

## ◆ getFrame

- (unsigned char *) getFrame |  |  |

## ◆ initWithURL:config:

- (id) initWithURL: |  | (NSURL *) | url
config: |  | (char *) | conf

## ◆ setTransparencyByChromaKey:hueMinAngle:hueMaxAngle:

- (void) setTransparencyByChromaKey: |  | (BOOL) | on
hueMinAngle: |  | (float) | hueMinAngle
hueMaxAngle: |  | (float) | hueMaxAngle

## ◆ setTransparencyByTransparent:RGBA:

- (void) setTransparencyByTransparent: |  | (BOOL) | on
RGBA: |  | (uint32_t) | rgba

## ◆ start

- (bool) start |  |  |

## ◆ stop

- (void) stop |  |  |

## ◆ transparencyByChromaKeyHueMinAngle:hueMaxAngle:

- (BOOL) transparencyByChromaKeyHueMinAngle: |  | (float *) | hueMinAngle
hueMaxAngle: |  | (float *) | hueMaxAngle

## ◆ transparencyByTransparentRGBA:

- (BOOL) transparencyByTransparentRGBA: |  | (uint32_t *) | rgba |

## Property Documentation

## ◆ ARPixelFormat

- (AR_PIXEL_FORMAT) ARPixelFormat
| read nonatomic assign

## ◆ bufDataPtr

- (unsigned char*) bufDataPtr
| read nonatomic assign

## ◆ bufHeight

- (size_t) bufHeight
| read atomic assign

## ◆ bufRowBytes

- (size_t) bufRowBytes
| read atomic assign

## ◆ bufWidth

- (size_t) bufWidth
| read atomic assign

## ◆ contentHeight

- (NSInteger) contentHeight
| read atomic assign

## ◆ contentWidth

- (NSInteger) contentWidth
| read atomic assign

## ◆ loaded

- (BOOL) loaded
| read nonatomic assign

## ◆ paused

- (BOOL) paused
| read write nonatomic assign

## ◆ pixFormat

- (OSType) pixFormat
| read atomic assign

## ◆ transparent

- (BOOL) transparent
| read nonatomic assign

The documentation for this class was generated from the following file:

- Source/ARX/ARVideo/AVFoundation/MovieVideo.h